package mice.cdb.service.calibration;

public class TrackerData {
    private int m_board;
    private int m_bank;
    private int m_channel;
    private double m_adcPedestal;
    private double m_adcGain;
    private double m_tdcPedestal;
    private double m_tdcSlope;

    /**
     * @return the board
     */
    public int getBoard() {
        return m_board;
    }

    /**
     * @param board
     *            the board to set
     */
    public void setBoard(int board) {
        m_board = board;
    }

    /**
     * @return the bank
     */
    public int getBank() {
        return m_bank;
    }

    /**
     * @param bank
     *            the bank to set
     */
    public void setBank(int bank) {
        m_bank = bank;
    }

    /**
     * @return the channel
     */
    public int getChannel() {
        return m_channel;
    }

    /**
     * @param channel
     *            the channel to set
     */
    public void setChannel(int channel) {
        m_channel = channel;
    }

    /**
     * @return the adc pedestal
     */
    public double getAdcPedestal() {
        return m_adcPedestal;
    }

    /**
     * @param adcPedestal
     *            the adc pedestal to set
     */
    public void setAdcPedestal(double adcPedestal) {
        m_adcPedestal = adcPedestal;
    }

    /**
     * @return the adcGain
     */
    public double getAdcGain() {
        return m_adcGain;
    }

    /**
     * @param adcGain
     *            the adc gain to set
     */
    public void setAdcGain(double adcGain) {
        m_adcGain = adcGain;
    }

    /**
     * @return the tdcPedestal
     */
    public double getTdcPedestal() {
        return m_tdcPedestal;
    }

    /**
     * @param tdcPedestal
     *            the tdc pedestal to set
     */
    public void setTdcPedestal(double tdcPedestal) {
        m_tdcPedestal = tdcPedestal;
    }

    /**
     * @return the tdcSlope
     */
    public double getTdcSlope() {
        return m_tdcSlope;
    }

    /**
     * @param tdcSlope
     *            the tdc slope to set
     */
    public void setTdcSlope(double tdcSlope) {
        m_tdcSlope = tdcSlope;
    }
}
