package mice.cdb.service.coolingchannel;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;

public class CoolingchannelData {
    private int m_id;
    private Timestamp m_creationTime;
    private Timestamp m_validUntilTime;
    private List<MagnetData> m_magnets = new ArrayList<MagnetData>();

    private String m_tag;

    /**
     * @return the id
     */
    public int getId() {
        return m_id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(int id) {
        m_id = id;
    }

    /**
     * @return the creationTime
     */
    public Timestamp getCreationTime() {
        return m_creationTime;
    }

    /**
     * @param creationTime
     *            the creationTime to set
     */
    public void setCreationTime(Timestamp creationTime) {
        m_creationTime = creationTime;
    }

    /**
     * @return the validUntilTime
     */
    public Timestamp getValidUntilTime() {
        return m_validUntilTime;
    }

    /**
     * @param validUntilTime
     *            the validUntilTime to set
     */
    public void setValidUntilTime(Timestamp validUntilTime) {
        m_validUntilTime = validUntilTime;
    }

    /**
     * @return the tag
     */
    public String getTag() {
        return m_tag;
    }

    /**
     * @param tag
     *            the tag to set
     */
    public void setTag(String tag) {
        m_tag = tag;
    }

    /**
     * @return the list of magnets
     */
    public List<MagnetData> getMagnets() {
        return m_magnets;
    }

    /**
     * @param magnet
     */
    public void addMagnet(MagnetData magnet) {
        m_magnets.add(magnet);
    }

}
