package mice.cdb.service;

/**
 * The exception thrown by CDB objects.
 */
@SuppressWarnings("serial")
public class CDBException extends Exception {

    /**
     * Constructs a CDBException object.
     * 
     * @param message
     *            a String containing the error message
     */
    public CDBException(String message) {
        super(message);
    }

    /**
     * Constructs a CDBException object.
     * 
     * @param message
     *            a String containing the error message
     * @param e
     *            an Exception object
     */
    public CDBException(String message, Exception e) {
        super(message, e);
    }

}
