package mice.cdb.service.alarmhandler;

/**
 * Constants for use by the AlarmHandler.
 * 
 */
public class AlarmHandlerConstants {

    // Constants used for SQL.
    /** Table name. */
    protected static final String TABLE_ALARM = "alarm";
    /** Column name. */
    protected static final String COLUMN_CREATIONTIME = "creationtime";
    /** Column name. */
    protected static final String COLUMN_TAG = "tag";
    /** Column name. */
    protected static final String COLUMN_NAME = "name";
    /** Column name. */
    protected static final String COLUMN_HIHI = "hihi";
    /** Column name. */
    protected static final String COLUMN_HI = "hi";
    /** Column name. */
    protected static final String COLUMN_LO = "lo";
    /** Column name. */
    protected static final String COLUMN_LOLO = "lolo";

    /** Table name. */
    protected static final String TABLE_ALARM_HISTORY = "alarmhistory";
    /** Column name. */
    protected static final String COLUMN_ALARM_CREATIONTIME = "alarmcreationtime";
    /** Column name. */
    protected static final String COLUMN_ALARM_TAG = "alarmtag";
    /** Column name. */
    protected static final String COLUMN_START_TIME = "starttime";

    // Constants used by the parser.
    /** XML tag. */
    public static final String ALARMHANDLER = "alarmhandler";
    /** XML tag. */
    public static final String ALARM = "alarm";
    /** XML tag. */
    public static final String NAME = "name";
    /** XML tag. */
    public static final String HIHI = "hihi";
    /** XML tag. */
    public static final String HI = "hi";
    /** XML tag. */
    public static final String LO = "lo";
    /** XML tag. */
    public static final String LOLO = "lolo";
}
