package mice.cdb.service.control;

/**
 * Constants for use by the Control.
 * 
 */
public class ControlConstants {

    // Constants used for SQL.
    /** Table name. */
    protected static final String TABLE_CONTROLS = "controls";
    /** Column name. */
    protected static final String COLUMN_CRATE = "crate";
    /** Column name. */
    protected static final String COLUMN_MODULE = "module";
    /** Column name. */
    protected static final String COLUMN_CHANNEL = "channel";
    /** Column name. */
    protected static final String COLUMN_CREATIONTIME = "creationtime";
    /** Column name. */
    protected static final String COLUMN_PARAMETER_NAME = "parametername";
    /** Column name. */
    protected static final String COLUMN_PARAMETER_VALUE = "parametervalue";
    /** Column name. */
    protected static final String COLUMN_VALID_UNTIL_TIME = "validuntiltime";

    // Constants used by the parser.
    /** XML tag. */
    public static final String CONTROLS = "controls";
    /** XML tag. */
    public static final String CRATE = "crate";
    /** XML tag. */
    public static final String CRATE_NAME = "name";
    /** XML tag. */
    protected static final String MODULE = "module";
    /** XML tag. */
    public static final String CHANNEL = "channel";
    /** XML tag. */
    protected static final String CHANNEL_NAME = "name";
    /** XML tag. */
    public static final String REMOTE_CHANNEL_NAME = "remoteChannelName";
    /** XML tag. */
    public static final String PARAMETER = "parameter";
    /** XML tag. */
    public static final String PARAMETER_NAME = "name";
    /** XML tag. */
    public static final String PARAMETER_VALUE = "value";
}
