package mice.cdb.service.coolingchannel;

public class CoilData {
    private String m_name;
    private double m_calibration;
    private double m_iLim;
    private double m_iSet;
    private double m_rate;
    private double m_stability;
    private double m_vLim;

    public CoilData() {
    }

    public CoilData(String name, double calibration, double iLim, double iSet, double rate, double stability,
            double vLim) {
        m_name = name;
        m_calibration = calibration;
        m_iLim = iLim;
        m_iSet = iSet;
        m_rate = rate;
        m_stability = stability;
        m_vLim = vLim;
    }

    /**
     * @return the calibration
     */
    public double getCalibration() {
        return m_calibration;
    }

    /**
     * @param calibration
     *            the calibration to set
     */
    public void setCalibration(double calibration) {
        m_calibration = calibration;
    }

    /**
     * @return the iLim
     */
    public double getILim() {
        return m_iLim;
    }

    /**
     * @param iLim
     *            the iLim to set
     */
    public void setILim(double iLim) {
        m_iLim = iLim;
    }

    /**
     * @return the iSet
     */
    public double getISet() {
        return m_iSet;
    }

    /**
     * @param iSet
     *            the iSet to set
     */
    public void setISet(double iSet) {
        m_iSet = iSet;
    }

    /**
     * @return the name
     */
    public String getName() {
        return m_name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        m_name = name;
    }

    /**
     * @return the m_rate
     */
    public double getRate() {
        return m_rate;
    }

    /**
     * @param rate
     *            the rate to set
     */
    public void setRate(double rate) {
        m_rate = rate;
    }

    /**
     * @return the stability
     */
    public double getStability() {
        return m_stability;
    }

    /**
     * @param stability
     *            the stability to set
     */
    public void setStability(double stability) {
        m_stability = stability;
    }

    /**
     * @return the vLim
     */
    public double getVLim() {
        return m_vLim;
    }

    /**
     * @param vLim
     *            the vLim to set
     */
    public void setVLim(double vLim) {
        m_vLim = vLim;
    }

}
