package mice.cdb.service.coolingchannel;

/**
 * Constants for use by the Coolingchannel.
 * 
 */
public class CoolingchannelConstants {

    // Constants used for SQL.
    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL = "coolingchannel";
    /** Column name. */
    public static final String COLUMN_ID = "id";
    /** Column name. */
    protected static final String COLUMN_CREATIONTIME = "creationtime";
    /** Column name. */
    protected static final String COLUMN_VALID_UNTIL_TIME = "validuntiltime";

    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL_MAGNET = "coolingchannelmagnet";
    /** Column name. */
    public static final String COLUMN_COOLING_CHANNEL_ID = "coolingchannelid";
    /** Column name. */
    protected static final String COLUMN_NAME = "name";
    /** Column name. */
    protected static final String COLUMN_MODE = "mode";
    /** Column name. */
    protected static final String COLUMN_POLARITY = "polarity";

    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL_COIL = "coolingchannelcoil";
    /** Column name. */
    protected static final String COLUMN_MAGNET_NAME = "magnetname";
    /** Column name. */
    protected static final String COLUMN_CALIBRATION = "calibration";
    /** Column name. */
    protected static final String COLUMN_ILIM = "ilim";
    /** Column name. */
    protected static final String COLUMN_ISET = "iset";
    /** Column name. */
    protected static final String COLUMN_RATE = "rate";
    /** Column name. */
    protected static final String COLUMN_STABILITY = "stability";
    /** Column name. */
    protected static final String COLUMN_VLIM = "vlim";

    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL_TAG = "coolingchanneltag";
    /** Column name. */
    protected static final String COLUMN_TAG = "tag";

    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL_MAGNET_TAGGED = "coolingchannelmagnettagged";
    /** Column name. */
    public static final String COLUMN_TAG_ID = "tagid";

    /** Table name. */
    protected static final String TABLE_COOLING_CHANNEL_COIL_TAGGED = "coolingchannelcoiltagged";

    // Constants used for xml.
    /** XML tag. */
    public static final String COOLING_CHANNELS = "coolingchannels";
    /** XML tag. */
    public static final String COOLING_CHANNEL = "coolingchannel";
    /** XML tag. */
    public static final String VALID_FROM_TIME = "validfromtime";
    /** XML tag. */
    public static final String VALID_UNTIL_TIME = "validuntiltime";

    /** XML tag. */
    public static final String MAGNETS = "magnets";
    /** XML tag. */
    public static final String MAGNET = "magnet";
    /** XML tag. */
    public static final String NAME = "name";
    /** XML tag. */
    public static final String MODE = "mode";
    /** XML tag. */
    public static final String POLARITY = "polarity";

    /** XML tag. */
    public static final String COIL = "coil";
    /** XML tag. */
    public static final String CALIBRATION = "calibration";
    /** XML tag. */
    public static final String ILIM = "ilim";
    /** XML tag. */
    public static final String ISET = "iset";
    /** XML tag. */
    public static final String RATE = "rate";
    /** XML tag. */
    public static final String STABILITY = "stability";
    /** XML tag. */
    public static final String VLIM = "vlim";

    /** XML tag. */
    public static final String TAG = "tag";
    /** XML tag. */
    public static final String TAGS = "tags";
    /** XML tag. */
    public static final String TAG_NAMES = "tagNames";

}
