package mice.cdb.service.coolingchannel;

import java.util.ArrayList;
import java.util.List;

public class MagnetData {
    private String m_name;
    private String m_mode;
    private String m_polarity;
    private List<CoilData> m_coils = new ArrayList<CoilData>();

    public MagnetData() {
    }

    public MagnetData(String name, String mode, String polarity) {
        m_name = name;
        m_mode = mode;
        m_polarity = polarity;
    }

    /**
     * @return the name
     */
    public String getName() {
        return m_name;
    }

    /**
     * @param name
     *            the name to set
     */
    public void setName(String name) {
        m_name = name;
    }

    /**
     * @return the mode
     */
    public String getMode() {
        return m_mode;
    }

    /**
     * @param mode
     *            the mode to set
     */
    public void setMode(String mode) {
        m_mode = mode;
    }

    /**
     * @return the polarity
     */
    public String getPolarity() {
        return m_polarity;
    }

    /**
     * @param polarity
     *            the polarity to set
     */
    public void setPolarity(String polarity) {
        m_polarity = polarity;
    }

    /**
     * @return the list of coils
     */
    public List<CoilData> getCoils() {
        return m_coils;
    }

    /**
     * @param coil
     */
    public void addCoil(CoilData coil) {
        m_coils.add(coil);
    }
}
