package mice.cdb.service.statemachine;

import mice.cdb.service.ServerConstants;

/**
 * Constants for use by the StateMachine.
 * 
 */
public class StateMachineConstants extends ServerConstants {

    // Constants used for SQL.
    /** Table name. */
    protected static final String TABLE_STATE_MACHINE = "statemachine";
    /** Column name. */
    protected static final String COLUMN_SYSTEM = "system";
    /** Column name. */
    protected static final String COLUMN_STATE = "state";
    /** Column name. */
    protected static final String COLUMN_RELATED_SYSTEM = "relatedsystem";
    /** Column name. */
    protected static final String COLUMN_RELATED_SYSTEM_STATE = "relatedsystemstate";

    /** Table name. */
    protected static final String TABLE_CURRENT_STATE = "currentstate";
    /** Column name. */
    protected static final String COLUMN_CREATIONTIME = "creationtime";
    /** Column name. */
    protected static final String COLUMN_VALID_UNTIL_TIME = "validuntiltime";

    /** Table name. */
    protected static final String TABLE_PV_DATA = "pvdata";
    /** Column name. */
    protected static final String COLUMN_NAME = "name";
    /** Column name. */
    protected static final String COLUMN_HIHI = "hihi";
    /** Column name. */
    protected static final String COLUMN_HI = "hi";
    /** Column name. */
    protected static final String COLUMN_LO = "lo";
    /** Column name. */
    protected static final String COLUMN_LOLO = "lolo";
    /** Column name. */
    protected static final String COLUMN_UNITS = "units";
    /** Column name. */
    protected static final String COLUMN_AUTO_SMS = "autosms";
    /** Column name. */
    protected static final String COLUMN_MODE = "mode";
    /** Column name. */
    protected static final String COLUMN_FREQUENCY = "frequency";
    /** Column name. */
    protected static final String COLUMN_DEADBAND = "deadband";
    /** Column name. */
    protected static final String COLUMN_TRANSITION = "transition";

    // Constants used by the parser.
    /** XML tag. */
    public static final String NAME = "name";
    /** XML tag. */
    protected static final String STATE = "state";
    /** XML tag. */
    protected static final String STATE_MACHINE = "stateMachine";
    /** XML tag. */
    protected static final String SYSTEM = "system";

    /** XML tag. */
    public static final String PV_DATA = "pvdata";
    /** XML tag. */
    public static final String PV = "pv";
    /** XML tag. */
    public static final String HIHI = "hihi";
    /** XML tag. */
    public static final String HI = "hi";
    /** XML tag. */
    public static final String LO = "lo";
    /** XML tag. */
    public static final String LOLO = "lolo";
    /** XML tag. */
    public static final String UNITS = "units";
    /** XML tag. */
    public static final String AUTO_SMS = "autosms";
    /** XML tag. */
    public static final String MODE = "mode";
    /** XML tag. */
    public static final String FREQUENCY = "frequency";
    /** XML tag. */
    public static final String DEADBAND = "deadband";
    /** XML tag. */
    public static final String TRANSITION = "transition";
}
